export default {
  data: [
    `id`,
    `name`,
    `numberOfStudents`,
    `start`,
    `end`,
    `type`,
    `... on OralExamination{
                form{
                  title
                  id
                }
                opnotes{
                  id
                    title
                    description
                }
                questions{
                  question{
                    ... on Oral{
                      id
                      title
                    }
                  }
                }
            }`
  ],
  list: [`id`, `name`, `password`, `type`, `start`, `end`, `year`],
  user: [
    `
      note
      `,
    `student{
      username
      firstNameTh
      lastNameTh
      titleTh
    }`,
    `id{
        studentId
        examinationId
      }`
  ],
  opnotes: [`id`, `title`, `description`],
  questions: [
    `...on Oral{
        id
        title} `
  ],
  students: [
    `student{
      username
      titleTh
      firstNameTh
      lastNameTh
    }`
  ],
  formQuestion: [
    `id`,
    `questionId`,
    `committeeId`,
    `committee{
      titleTh
      firstNameTh
      lastNameTh
      username
    }`,
    `formResponse{
      id
      form{
        id
      }
      evaluations{
        eval2
      }
      status
    }`
  ],
  formOpnote: [
    `id`,
    `oralExaminationOpnoteId`,
    `committeeId`,
    `committee{
      titleTh
      firstNameTh
      lastNameTh
      username
    }`,
    `formResponse{
      id
      form{
        id
      }
      evaluations{
        eval2
      }
      status
    }`
  ]
};
