export default {
  list: [`id`, `name`],
  data: [
    `id`,
    `name`,
    `description`,
    `members{
      user{
        id
        firstNameEn
        lastNameEn
        username
      }
      roles
    }`,
    `items{
      id
      type
      ... on FormItem{
        form{
          id
          title
        }
      }
    }`,
    `parentGroup{
      name
      id
    }`,
    `childGroups{
      name
      id
    }`,
    `patients{
      patient{
        firstNameEn
        lastNameEn
        id
      }
    }`
  ],
  members: [
    `user{
      id
      firstNameEn
      lastNameEn
      username
    }`,
    `roles`
  ],
  items: [
    `id`,
    `type`,
    `... on FormItem{
      form{
        id
        title
        description
      }
    }`
  ]
};
