import axios from "axios";

const API_ROOT = "/api";
const headers = () => ({});
const agent = token =>
  axios.create({
    baseURL: `${API_ROOT}`,
    headers: token
      ? {
          "Content-Type": "application/json",
          Accept: "application/json",
          token: token
        }
      : {
          "Content-Type": "application/json",
          Accept: "application/json"
        },
    timeout: 20000,
    withCredentials: true
  });

export default agent;
