import agent from "./agent";

export default {
  login(username, password) {
    return agent().post("/auth/login", {
      username,
      password
    });
  },
  me() {
    return agent().get("/auth/me");
  },
  logout() {
    return agent().post("/auth/logout");
  }
};
