export default {
  data: [
    `id`,
    `title`,
    `description`,
    `startTime`,
    `endTime`,
    `location`,
    `isAttended`,
    `place`,
    `instituteId`,
    `latLong{latitude longitude}`,
    `credit`,
    `checkIn`,
    `fileIds`,
    `count`,
    `files{
      name
      id
    }`,
    `checkOut`,
    `specialtyId`,
    `creatorId`,
    `conferenceType{
          id
          title
          description
          specialtyId
    }`,
    `correspondingTeachers{
          firstNameTh
          lastNameTh
          username
          titleTh
      }`,
    `presentors{
          firstNameTh
          lastNameTh
          username
          titleTh
    }`,
    `attendances{
        id{
          conferenceId
          user{
            firstNameTh
            lastNameTh
            username
          }
        }
      }`
  ],
  list: [
    `id`,
    `title`,
    `institute{
      id
      name
      abbr
    }`,
    `description`,
    `startTime`,
    `endTime`,
    `credit`,
    `location`,
    `place`,
    `count`,
    `checkIn`,
    `checkOut`,
    `specialtyId`,
    `conferenceType{
      id
      title
      description
      specialtyId
}`
  ],
  attended: [
    `id`,
    `title`,
    `description`,
    `startTime`,
    `endTime`,
    `credit`,
    `location`,
    `place`,
    `checkIn`,
    `count`,
    `checkOut`,
    `specialtyId`,
    `conferenceType{
    id
    title
    description
    specialtyId
}`
  ],
  upcoming: [
    `id`,
    `title`,
    `description`,
    `startTime`,
    `endTime`,
    `location`,
    `place`,
    `instituteId`,
    `conferenceType{
    id
    title
    description
    specialtyId
}`,
    `count`
  ],
  conference: [
    `id`,
    `title`,
    `description`,
    `startTime`,
    `endTime`,
    `credit`,
    `location`,
    `place`,
    `checkIn`,
    `checkOut`,
    `specialtyId`,
    `count`,
    `conferenceType{
      id
      title
      description
      specialtyId
}`
  ],
  type: [`id`, `title`, `description`, `specialtyId`]
};
