export default {
  patients: [
    `id`,
    `gender`,
    `hn`,
    `firstNameEn`,
    `lastNameEn`,
    `tags`,
    `lastFollowUp {
    id
    followUpDate
  }`,
    `
  lastUpdatedFollowUp{
      updatedOn
    }`,
    `group{
      name
      id
    }`
  ],
  patient: [
    `id`,
    `gender`,
    `hn`,
    `firstNameEn`,
    `lastNameEn`,
    `tags`,
    `born`,
    `nationality`,
    `group{
      id
      name
    }`,
    `allergic`,
    `disease`,
    `born`,
    `homeAddress`,
    `phoneNumber`
  ],
  followUps: [
    `id`,
    `tags`,
    `followUpDate`,
    `note`,
    `visitId`,
    `recordedUser{
      username
      firstNameEn
      lastNameEn
    }`,
    `patient{
      id
      group{
        id
      }
    }`,
    `files{
      fileId
      filename
      mime
    }`,
    `formAnswers{
      response{
        id
        isCompleted
        form{
          id
          title
          description
        }
        evaluations {
          eval
          name
          conditions {
            result
            color
            name
          }
        }
      }
    }`,
    `prescribes {
      name
      dispense
      brand
      description
    }`
  ]
};
