import { LOGIN } from "../actions/actionType";

export default (state = {}, action) => {
  switch (action.type) {
    case LOGIN.SENDING:
      return { ...state, sending: action.sending };
    case LOGIN.FAILURE:
      return { ...state, error: action.error };
    case LOGIN.SUCCESS:
      return { ...state, error: "" };
    default:
      return state;
  }
};
