import { CONTACT_API } from "../actions/actionType";
import Super from "./super";
import moment from "moment";
const defaultState = {
  list: [],
  data: {},
};

export default (state = defaultState, action) => {
  let reducer = new Super(state, action);
  switch (action.type) {
    case CONTACT_API.SELF.ALL.SUCCESS:
      return reducer.list();
    case CONTACT_API.SELF.GET.SUCCESS:
      return reducer.get();
    case CONTACT_API.SELF.POST.SUCCESS:
      return reducer.post();
    case CONTACT_API.SELF.PUT.SUCCESS:
      return reducer.put();
    case CONTACT_API.SELF.CLEAR.SUCCESS:
      return { ...state, data:[]};
    default:
      return state;
  }
};

