import { SPECIALTY_API } from "../actions/actionType";
import Super from "./super";
import moment from "moment";
const defaultState = {
  list: [],
  data: {},
};

export default (state = defaultState, action) => {
  let reducer = new Super(state, action);
  switch (action.type) {
    case SPECIALTY_API.SELF.GETID.SUCCESS:
      return reducer.get();
    case SPECIALTY_API.SELF.ALL.SUCCESS:
      return reducer.list();
    case SPECIALTY_API.CLEAR.ALL.SUCCESS:
      return reducer.clear();
    case SPECIALTY_API.SELF.POST.SUCCESS:
      return reducer.post();
    case SPECIALTY_API.SELF.PUT.SUCCESS:
      return reducer.put();
    case SPECIALTY_API.SELF.DEL.SUCCESS:
      return reducer.delete();
    default:
      return state;
  }
};
